# geos::precision::SimpleGeometryPrecisionReducer Class Reference

Reduces the precision of a Geometry according to the supplied PrecisionModel, without attempting to preserve valid topology. More...

`#include <SimpleGeometryPrecisionReducer.h>`

List of all members.

## Public Member Functions

| SimpleGeometryPrecisionReducer (const geom::PrecisionModel *pm)
void | setRemoveCollapsedComponents (bool nRemoveCollapsed)
const geom::PrecisionModel * | getPrecisionModel ()
bool | getRemoveCollapsed ()
geom::Geometry * | reduce (const geom::Geometry *geom)

## Detailed Description

Reduces the precision of a Geometry according to the supplied PrecisionModel, without attempting to preserve valid topology.

The topology of the resulting geometry may be invalid if topological collapse occurs due to coordinates being shifted. It is up to the client to check this and handle it if necessary. Collapses may not matter for some uses. An example is simplifying the input to the buffer algorithm. The buffer algorithm does not depend on the validity of the input geometry.

## Member Function Documentation

void geos::precision::SimpleGeometryPrecisionReducer::setRemoveCollapsedComponents | ( | bool | nRemoveCollapsed | ) |

Sets whether the reduction will result in collapsed components being removed completely, or simply being collapsed to an (invalid) Geometry of the same type.

Parameters:

  | removeCollapsed | if `true` collapsed components will be removed

The documentation for this class was generated from the following file:

- SimpleGeometryPrecisionReducer.h